=head1 NAME

B<monstop> -  Stops a monitoring plug-in module to monitor the xCAT cluster.


=head1 SYNOPSIS

I<monstop [-h| --help]>

I<monstop [-v| --version]>

I<monstop name [noderange] [-r|--remote]>


=head1 DESCRIPTION

This command is used to stop a 3rd party software, (for example stop the daemons), from monitoring the xCAT cluster. The operation is performed on the management node and the service nodes of the given nodes.  The operation will also be performed on the nodes if the I<-r> option is specified.

=head1 Parameters

I<name> is the name of the monitoring plug-in module in the I<monitoring> table. Use I<monls> command to list all the monitoring plug-in modules that can be used.

I<noderange> is the nodes to be stopped for monitoring. If omitted, all nodes will be stopped.

=head1 OPTIONS


B<-h | -help>          Display usage message.

B<-r | --remote>       Specifies that the operation will also be performed on the nodes. For example, the3rd party monitoring software daemons on the nodes will also be stopped.

B<-v | -version >      Command Version.




=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1.To stop gangliamon plug-in module (which interacts with Ganglia monitoring software) to monitor the xCAT cluster, enter:

  monstop gangliamon

Please note that gangliamon must have been registered in the xCAT I<monitoring> table. For a list of registered plug-in modules, use command I<monls>.



=head1 FILES

/opt/xcat/bin/monstop


=head1 SEE ALSO

L<monls(1)|monls.1>, L<monstart(1)|monstart.1>, L<monadd(1)|monadd.1>, L<monrm(1)|monrm.1>, L<moncfg(1)|moncfg.1>, L<mondecfg(1)|mondecfg.1>



